<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Tailor RDB dataset — dataset • rdb.report</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Tailor RDB dataset — dataset"><meta name="description" content="Tailors rdb::rfrnds() to be used for the analysis in the RDB report, optionally to a specific report part.
The data is always filtered to exclude
referendums of unknown (NA) type,
subnational Swiss referendums which are – at least potentially – of type == &quot;citizens' assembly&quot; (actually excluded are the cantons of Glarus, Appenzell
Innerrhoden, Nidwalden before 1997-01-01, Appenzell Ausserrhoden before 1998-01-01, and Obwalden before 1999-01-01),


and always augmented by
the eight un_* UN world region columns,
a turnout column (rough, excluding dubious numbers),
a year and a decade column, both derived from date,
a wave_of_democracy column,
an era column and
the two URL columns url_sudd and url_swissvotes.


Depending on part, the data is further reduced: If part is set to
NULL (default), only referendums up to and including year_ceiling are included.
&quot;overall&quot;, only national referendums (since both subnational and municipal referendums are rather incomplete) that took place between
year_floor and year_ceiling are included.
&quot;regional&quot;, only national referendums (since both subnational and municipal referendums are rather incomplete) that took place up to and including
year_ceiling are returned.
&quot;national/XX&quot;, only referendums that took place in the country with code XX up to and including year_ceiling are included.

"><meta property="og:description" content="Tailors rdb::rfrnds() to be used for the analysis in the RDB report, optionally to a specific report part.
The data is always filtered to exclude
referendums of unknown (NA) type,
subnational Swiss referendums which are – at least potentially – of type == &quot;citizens' assembly&quot; (actually excluded are the cantons of Glarus, Appenzell
Innerrhoden, Nidwalden before 1997-01-01, Appenzell Ausserrhoden before 1998-01-01, and Obwalden before 1999-01-01),


and always augmented by
the eight un_* UN world region columns,
a turnout column (rough, excluding dubious numbers),
a year and a decade column, both derived from date,
a wave_of_democracy column,
an era column and
the two URL columns url_sudd and url_swissvotes.


Depending on part, the data is further reduced: If part is set to
NULL (default), only referendums up to and including year_ceiling are included.
&quot;overall&quot;, only national referendums (since both subnational and municipal referendums are rather incomplete) that took place between
year_floor and year_ceiling are included.
&quot;regional&quot;, only national referendums (since both subnational and municipal referendums are rather incomplete) that took place up to and including
year_ceiling are returned.
&quot;national/XX&quot;, only referendums that took place in the country with code XX up to and including year_ceiling are included.

"><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb.report</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9016</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="../articles/rdb-report.html">Get started</a></li>
<li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb.report/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Tailor RDB dataset</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/rdb.report/blob/HEAD/R/rdb.report.gen.R" class="external-link"><code>R/rdb.report.gen.R</code></a></small>
      <div class="d-none name"><code>dataset.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Tailors <code><a href="https://rdb.rpkg.dev/reference/rfrnds.html" class="external-link">rdb::rfrnds()</a></code> to be used for the analysis in the <a href="https://report.rdb.vote/" class="external-link">RDB report</a>, optionally to a specific report <code>part</code>.</p>
<p>The data is always filtered to <strong>exclude</strong></p><ul><li><p>referendums of unknown (<code>NA</code>) <a href="https://rdb.rpkg.dev/articles/codebook#type" class="external-link"><code>type</code></a>,</p></li>
<li><p>subnational Swiss referendums which are – at least potentially – of <code>type == "citizens' assembly"</code> (actually excluded are the cantons of Glarus, Appenzell
Innerrhoden, Nidwalden before 1997-01-01, Appenzell Ausserrhoden before 1998-01-01, and Obwalden before 1999-01-01),</p></li>
</ul><p>and always <strong>augmented</strong> by</p><ul><li><p>the eight <code>un_*</code> <a href="https://rdb.rpkg.dev/reference/add_world_regions.html" class="external-link">UN world region</a> columns,</p></li>
<li><p>a <code><a href="https://rdb.rpkg.dev/reference/add_turnout.html" class="external-link">turnout</a></code> column (rough, excluding dubious numbers),</p></li>
<li><p>a <code>year</code> and a <code>decade</code> column, both <a href="https://rdb.rpkg.dev/reference/add_period.html" class="external-link">derived</a> from <code>date</code>,</p></li>
<li><p>a <code><a href="add_democracy_waves.html">wave_of_democracy</a></code> column,</p></li>
<li><p>an <code><a href="add_era.html">era</a></code> column and</p></li>
<li><p>the two <a href="https://rdb.rpkg.dev/reference/add_urls.html" class="external-link">URL columns</a> <code>url_sudd</code> and <code>url_swissvotes</code>.</p></li>
</ul><p>Depending on <code>part</code>, the data is further reduced: If <code>part</code> is set to</p><ul><li><p><strong><code>NULL</code></strong> (default), only referendums up to and including <code>year_ceiling</code> are included.</p></li>
<li><p><strong><code>"overall"</code></strong>, only national referendums (since both subnational and municipal referendums are rather incomplete) that took place between
<code>year_floor</code> and <code>year_ceiling</code> are included.</p></li>
<li><p><strong><code>"regional"</code></strong>, only national referendums (since both subnational and municipal referendums are rather incomplete) that took place up to and including
<code>year_ceiling</code> are returned.</p></li>
<li><p><strong><code>"national/XX"</code></strong>, only referendums that took place in the country with code <code>XX</code> up to and including <code>year_ceiling</code> are included.</p></li>
</ul></div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">dataset</span><span class="op">(</span></span>
<span>  part <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  year_floor <span class="op">=</span> <span class="va">report_year_floor</span>,</span>
<span>  year_ceiling <span class="op">=</span> <span class="fu"><a href="report_year.html">report_year</a></span><span class="op">(</span><span class="op">)</span>,</span>
<span>  use_cache <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  max_cache_age <span class="op">=</span> <span class="st">"6 hours"</span>,</span>
<span>  quiet <span class="op">=</span> <span class="cn">TRUE</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-part">part<a class="anchor" aria-label="anchor" href="#arg-part"></a></dt>
<dd><p>Report part the data is to be tailored to. One of</p><ul><li><p><code>"overall"</code></p></li>
<li><p><code>"regional"</code></p></li>
<li><p><code>"national/CH"</code></p></li>
<li><p><code>NULL</code></p></li>
</ul></dd>


<dt id="arg-year-floor">year_floor<a class="anchor" aria-label="anchor" href="#arg-year-floor"></a></dt>
<dd><p>Minimum year to include in the returned data. An integerish scalar.</p></dd>


<dt id="arg-year-ceiling">year_ceiling<a class="anchor" aria-label="anchor" href="#arg-year-ceiling"></a></dt>
<dd><p>Maximum year to include in the returned data. An integerish scalar.</p>
<p>If <code>NULL</code>, the RDB dataset is not tailored to a specific report <em>part</em>.</p></dd>


<dt id="arg-use-cache">use_cache<a class="anchor" aria-label="anchor" href="#arg-use-cache"></a></dt>
<dd><p>Whether or not to return cached results if possible. If <code>FALSE</code>, results are always newly fetched regardless of <code>max_cache_age</code>.</p></dd>


<dt id="arg-max-cache-age">max_cache_age<a class="anchor" aria-label="anchor" href="#arg-max-cache-age"></a></dt>
<dd><p>Duration after which cached results are refreshed (i.e. newly fetched). A valid <a href="https://lubridate.tidyverse.org/reference/as.duration.html" class="external-link">lubridate duration</a>. Use <code>Inf</code> to disable cache expiry. Only relevant if <code>use_cache = TRUE</code>.</p></dd>


<dt id="arg-quiet">quiet<a class="anchor" aria-label="anchor" href="#arg-quiet"></a></dt>
<dd><p>Whether or not to suppress printing status output from internal processing.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A <a href="https://tibble.tidyverse.org/reference/tbl_df-class.html" class="external-link">tibble</a>.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="kw">if</span> <span class="op">(</span><span class="cn">FALSE</span><span class="op">)</span> <span class="op">{</span> <span class="co"># \dontrun{</span></span></span>
<span class="r-in"><span><span class="co"># default/implicit `year_ceiling` only works from inside the rdb.report repo</span></span></span>
<span class="r-in"><span><span class="fu">rdb.report</span><span class="fu">::</span><span class="fu">dataset</span><span class="op">(</span><span class="op">)</span><span class="op">}</span> <span class="co"># }</span></span></span>
<span class="r-in"><span></span></span>
<span class="r-in"><span><span class="fu">rdb.report</span><span class="fu">::</span><span class="fu">dataset</span><span class="op">(</span>year_ceiling <span class="op">=</span> <span class="fl">2024L</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># A tibble: 16,391 × 82</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span>    id              id_official id_sudd country_code country_name subnational_entity_n…¹ municipality un_country_code un_region_tier_1_code un_region_tier_1_name</span>
<span class="r-out co"><span class="r-pr">#&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>           <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>       <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>   <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>                  <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>           <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>                 <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>                </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 1</span> 670cd145c3cd67… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Zug                    <span style="color: #BB0000;">NA</span>           756             150                   Europe               </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 2</span> 66fff490c3cd67… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      LI           Liechtenste… <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           438             150                   Europe               </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 3</span> 66ffdfe3c3cd67… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Jura                   <span style="color: #BB0000;">NA</span>           756             150                   Europe               </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 4</span> 66ffdc31c3cd67… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Uri                    <span style="color: #BB0000;">NA</span>           756             150                   Europe               </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 5</span> 66ffd956c3cd67… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Uri                    <span style="color: #BB0000;">NA</span>           756             150                   Europe               </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 6</span> 66ffbf93c3cd67… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Nidwalden              <span style="color: #BB0000;">NA</span>           756             150                   Europe               </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 7</span> 66f686cfc3cd67… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Bern                   <span style="color: #BB0000;">NA</span>           756             150                   Europe               </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 8</span> 66f68317c3cd67… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Bern                   <span style="color: #BB0000;">NA</span>           756             150                   Europe               </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 9</span> 66d6da9cc3cd67… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Basel Landschaft       <span style="color: #BB0000;">NA</span>           756             150                   Europe               </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">10</span> 66cde603c3cd67… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Graubünden             <span style="color: #BB0000;">NA</span>           756             150                   Europe               </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ 16,381 more rows</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ abbreviated name: ¹​subnational_entity_name</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ 72 more variables: un_region_tier_2_code &lt;fct&gt;, un_region_tier_2_name &lt;fct&gt;, un_region_tier_3_code &lt;fct&gt;, un_region_tier_3_name &lt;fct&gt;, un_subregion &lt;fct&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   level &lt;ord&gt;, date &lt;date&gt;, year &lt;int&gt;, decade &lt;int&gt;, wave_of_democracy &lt;ord&gt;, era &lt;ord&gt;, is_former_country &lt;lgl&gt;, title_en &lt;chr&gt;, title_de &lt;chr&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   title_fr &lt;chr&gt;, question &lt;chr&gt;, question_en &lt;chr&gt;, committee_name &lt;chr&gt;, result &lt;fct&gt;, subterritories_yes &lt;dbl&gt;, subterritories_no &lt;dbl&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   electorate_total &lt;int&gt;, electorate_abroad &lt;int&gt;, votes_yes &lt;int&gt;, votes_no &lt;int&gt;, votes_empty &lt;int&gt;, votes_invalid &lt;int&gt;, votes_per_subterritory &lt;list&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   turnout &lt;dbl&gt;, lower_house_yes &lt;int&gt;, lower_house_no &lt;int&gt;, lower_house_abstentions &lt;int&gt;, upper_house_yes &lt;int&gt;, upper_house_no &lt;int&gt;, …</span></span>
<span class="r-in"><span></span></span>
<span class="r-in"><span><span class="fu">rdb.report</span><span class="fu">::</span><span class="fu">dataset</span><span class="op">(</span>part <span class="op">=</span> <span class="st">"regional"</span>,</span></span>
<span class="r-in"><span>                    year_ceiling <span class="op">=</span> <span class="fl">2024L</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># A tibble: 3,099 × 82</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span>    id              id_official id_sudd country_code country_name subnational_entity_n…¹ municipality un_country_code un_region_tier_1_code un_region_tier_1_name</span>
<span class="r-out co"><span class="r-pr">#&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>           <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>       <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>   <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>                  <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>           <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>                 <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>                </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 1</span> 66fff490c3cd67… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      LI           Liechtenste… <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           438             150                   Europe               </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 2</span> 66868958c3cd67… <span style="color: #BB0000;">NA</span>          li0520… LI           Liechtenste… <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           438             150                   Europe               </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 3</span> 66856a7bc3cd67… <span style="color: #BB0000;">NA</span>          si0420… SI           Slovenia     <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           705             150                   Europe               </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 4</span> 66856972c3cd67… <span style="color: #BB0000;">NA</span>          si0320… SI           Slovenia     <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           705             150                   Europe               </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 5</span> 66856835c3cd67… <span style="color: #BB0000;">NA</span>          si0220… SI           Slovenia     <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           705             150                   Europe               </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 6</span> 66856659c3cd67… <span style="color: #BB0000;">NA</span>          si0120… SI           Slovenia     <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           705             150                   Europe               </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 7</span> 66505b3fc3cd67… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           756             150                   Europe               </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 8</span> 6650452ac3cd67… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           756             150                   Europe               </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 9</span> 665044a8c3cd67… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           756             150                   Europe               </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">10</span> 665043f1c3cd67… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           756             150                   Europe               </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ 3,089 more rows</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ abbreviated name: ¹​subnational_entity_name</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ 72 more variables: un_region_tier_2_code &lt;fct&gt;, un_region_tier_2_name &lt;fct&gt;, un_region_tier_3_code &lt;fct&gt;, un_region_tier_3_name &lt;fct&gt;, un_subregion &lt;fct&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   level &lt;ord&gt;, date &lt;date&gt;, year &lt;int&gt;, decade &lt;int&gt;, wave_of_democracy &lt;ord&gt;, era &lt;ord&gt;, is_former_country &lt;lgl&gt;, title_en &lt;chr&gt;, title_de &lt;chr&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   title_fr &lt;chr&gt;, question &lt;chr&gt;, question_en &lt;chr&gt;, committee_name &lt;chr&gt;, result &lt;fct&gt;, subterritories_yes &lt;dbl&gt;, subterritories_no &lt;dbl&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   electorate_total &lt;int&gt;, electorate_abroad &lt;int&gt;, votes_yes &lt;int&gt;, votes_no &lt;int&gt;, votes_empty &lt;int&gt;, votes_invalid &lt;int&gt;, votes_per_subterritory &lt;list&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   turnout &lt;dbl&gt;, lower_house_yes &lt;int&gt;, lower_house_no &lt;int&gt;, lower_house_abstentions &lt;int&gt;, upper_house_yes &lt;int&gt;, upper_house_no &lt;int&gt;, …</span></span>
</code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

